{"models":[{"endpoint_id":"fal-ai/kandinsky5-pro/text-to-video","metadata":{"display_name":"Kandinsky5 Pro","category":"text-to-video","description":"Kandinsky 5.0 Pro is a diffusion model for fast, high-quality text-to-video generation.","status":"active","tags":[],"updated_at":"2026-04-21T17:49:44.869Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8775f2/Z3ul8R1t-mF0RUH6Z36v9_ae12c69d675b4a1794890ce3cb7b6b49.jpg","model_url":"https://fal.run/fal-ai/kandinsky5-pro/text-to-video","license_type":"commercial","date":"2025-12-23T13:40:22.639Z","group":{"key":"kandinsky5-pro","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kandinsky5-pro/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kandinsky5-pro/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kandinsky5-pro/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8775f2/Z3ul8R1t-mF0RUH6Z36v9_ae12c69d675b4a1794890ce3cb7b6b49.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kandinsky5-pro/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kandinsky5-pro/text-to-video/api","about":"Generate a video from text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Kandinsky5ProTextToVideoInput":{"title":"KandinskyT2VRequest","properties":{"num_inference_steps":{"default":28,"type":"integer","description":"The number of inference steps.","minimum":1,"title":"Num Inference Steps","maximum":50},"aspect_ratio":{"enum":["3:2","1:1","2:3"],"type":"string","description":"Aspect ratio of the generated video. One of (3:2, 1:1, 2:3).","title":"Aspect Ratio","default":"3:2"},"duration":{"examples":["5s"],"type":"string","description":"The length of the video to generate.","const":"5s","title":"Duration","default":"5s"},"resolution":{"enum":["512P","1024P"],"type":"string","description":"Video resolution: 512p or 1024p.","title":"Resolution","default":"512P"},"acceleration":{"anyOf":[{"enum":["none","regular"],"type":"string"},{"type":"null"}],"description":"Acceleration level for faster generation.","title":"Acceleration","default":"regular"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed to use for generation. If not provided, a random seed will be used.","examples":[42],"title":"Seed"},"prompt":{"type":"string","description":"The text prompt to guide video generation.","title":"Prompt","examples":["A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k"]}},"type":"object","required":["prompt"],"x-fal-order-properties":["prompt","resolution","aspect_ratio","duration","num_inference_steps","acceleration","seed"]},"Kandinsky5ProTextToVideoOutput":{"title":"KandinskyT2VResponse","properties":{"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"},"video":{"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"description":"The generated video file.","examples":[{"file_name":"output.mp4","file_size":14530500,"url":"https://v3b.fal.media/files/b/0a87754e/o5FWdz83KTXzq0FB7aG5Q_output.mp4","content_type":"application/octet-stream"}]}},"type":"object","required":["seed"],"x-fal-order-properties":["video","seed"]},"File":{"title":"File","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"type":"object","required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/kandinsky5-pro/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5-pro/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kandinsky5-pro/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5ProTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5-pro/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5ProTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/cogvideox-5b","metadata":{"display_name":"CogVideoX-5B","category":"text-to-video","description":"Generate videos from prompts using CogVideoX-5B","status":"active","tags":[],"updated_at":"2026-04-21T17:44:50.269Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","model_url":"https://fal.run/fal-ai/cogvideox-5b","github_url":"https://huggingface.co/THUDM/CogVideoX-5b/blob/main/LICENSE","date":"2025-01-14T00:00:00.000Z","group":{"key":"cogvideox-5b","label":"Text to Video"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/cogvideox-5b","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/cogvideox-5b queue.","x-fal-metadata":{"endpointId":"fal-ai/cogvideox-5b","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","playgroundUrl":"https://fal.ai/models/fal-ai/cogvideox-5b","documentationUrl":"https://fal.ai/models/fal-ai/cogvideox-5b/api","about":"CogVideoX-5B, next generation text-to-video model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Cogvideox5bInput":{"type":"object","properties":{"use_rife":{"type":"boolean","title":"Use Rife","description":"Use RIFE for video interpolation","default":true},"guidance_scale":{"type":"number","minimum":0,"title":"Guidance scale (CFG)","description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt when looking for a related video to show you.\n        ","default":7,"maximum":20},"export_fps":{"type":"integer","minimum":4,"title":"Export Fps","description":"The target FPS of the video","default":16,"maximum":32},"prompt":{"type":"string","title":"Prompt","description":"The prompt to generate the video from.","examples":["A garden comes to life as a kaleidoscope of butterflies flutters amidst the blossoms, their delicate wings casting shadows on the petals below. In the background, a grand fountain cascades water with a gentle splendor, its rhythmic sound providing a soothing backdrop. Beneath the cool shade of a mature tree, a solitary wooden chair invites solitude and reflection, its smooth surface worn by the touch of countless visitors seeking a moment of tranquility in nature's embrace."]},"num_inference_steps":{"type":"integer","minimum":1,"title":"Num Inference Steps","description":"The number of inference steps to perform.","default":50,"maximum":50},"loras":{"type":"array","examples":[],"title":"Loras","description":"\n            The LoRAs to use for the image generation. We currently support one lora.\n        ","items":{"$ref":"#/components/schemas/LoraWeight"},"default":[]},"video_size":{"description":"The size of the generated video.","title":"Video Size","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"default":{"height":480,"width":720}},"negative_prompt":{"type":"string","title":"Negative Prompt","description":"The negative prompt to generate video from","default":"","examples":["Distorted, discontinuous, Ugly, blurry, low resolution, motionless, static, disfigured, disconnected limbs, Ugly faces, incomplete arms"]},"seed":{"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        ","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]}},"required":["prompt"],"title":"BaseInput","x-fal-order-properties":["prompt","video_size","negative_prompt","loras","num_inference_steps","seed","guidance_scale","use_rife","export_fps"]},"Cogvideox5bOutput":{"type":"object","properties":{"video":{"description":"The URL to the generated video","$ref":"#/components/schemas/File"},"timings":{"type":"object","title":"Timings","additionalProperties":{"type":"number"}},"prompt":{"type":"string","title":"Prompt","description":"The prompt used for generating the video."},"seed":{"type":"integer","title":"Seed","description":"\n            Seed of the generated video. It will be the same value of the one passed in the\n            input or the randomly generated that was used in case none was passed.\n        "}},"required":["video","timings","seed","prompt"],"title":"Output","x-fal-order-properties":["video","timings","seed","prompt"]},"LoraWeight":{"type":"object","properties":{"scale":{"type":"number","minimum":0,"title":"Scale","description":"\n            The scale of the LoRA weight. This is used to scale the LoRA weight\n            before merging it with the base model.\n        ","default":1,"maximum":4},"path":{"type":"string","title":"Path","description":"URL or the path to the LoRA weights."}},"required":["path"],"title":"LoraWeight","x-fal-order-properties":["path","scale"]},"ImageSize":{"type":"object","properties":{"height":{"type":"integer","maximum":14142,"title":"Height","description":"The height of the generated image.","default":512,"exclusiveMinimum":0},"width":{"type":"integer","maximum":14142,"title":"Width","description":"The width of the generated image.","default":512,"exclusiveMinimum":0}},"title":"ImageSize","x-fal-order-properties":["width","height"]},"File":{"type":"object","properties":{"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"]},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_size":{"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019]},"content_type":{"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"]}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/cogvideox-5b/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cogvideox-5b/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/cogvideox-5b":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Cogvideox5bInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/cogvideox-5b/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Cogvideox5bOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/q2/text-to-video","metadata":{"display_name":"Vidu","category":"text-to-video","description":"Use the latest Vidu Q2 models which much more better quality and control on your videos.","status":"active","tags":[],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/kangaroo/ui3mJj8_Fmxg22mCDuesY_38c8acb860cf4072899ec0c062efcf9e.jpg","model_url":"https://fal.run/fal-ai/vidu/q2/text-to-video","license_type":"commercial","date":"2025-10-22T16:40:07.242Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/vidu/q2/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/q2/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/q2/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/kangaroo/ui3mJj8_Fmxg22mCDuesY_38c8acb860cf4072899ec0c062efcf9e.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/q2/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/vidu/q2/text-to-video/api","about":"Q2 Text To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduQ2TextToVideoInput":{"title":"Q2TextToVideoRequest","required":["prompt"],"properties":{"prompt":{"title":"Prompt","maxLength":3000,"type":"string","description":"Text prompt for video generation, max 3000 characters","examples":["A cinematic shot of a futuristic city at sunset, with flying cars and towering skyscrapers."]},"resolution":{"title":"Resolution","default":"720p","enum":["360p","520p","720p","1080p"],"type":"string","description":"Output video resolution"},"movement_amplitude":{"title":"Movement Amplitude","default":"auto","enum":["auto","small","medium","large"],"type":"string","description":"The movement amplitude of objects in the frame"},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"bgm":{"title":"Bgm","default":false,"type":"boolean","description":"Whether to add background music to the video (only for 4-second videos)"},"duration":{"title":"Duration","default":4,"enum":[2,3,4,5,6,7,8],"type":"integer","description":"Duration of the video in seconds"},"aspect_ratio":{"title":"Aspect Ratio","default":"16:9","enum":["16:9","9:16","1:1"],"type":"string","description":"The aspect ratio of the output video"}},"type":"object","x-fal-order-properties":["prompt","seed","duration","resolution","aspect_ratio","movement_amplitude","bgm"]},"ViduQ2TextToVideoOutput":{"title":"Q2TextToVideoOutput","required":["video"],"properties":{"video":{"description":"The generated video from text using the Q2 model","examples":[{"url":"https://fal.media/files/penguin/sUYfE1bo3z5Gds7pSuFHD_output.mp4"}],"$ref":"#/components/schemas/File"}},"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/vidu/q2/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/q2/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/luma-dream-machine/ray-2-flash","metadata":{"display_name":"Luma Ray 2 Flash","category":"text-to-video","description":"Ray2 Flash is a fast video generative model capable of creating realistic visuals with natural, coherent motion.","status":"active","tags":["motion","transformation"],"updated_at":"2026-04-21T17:51:36.321Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/luma-dream-machine-ray-2.webp","model_url":"https://fal.run/fal-ai/luma-dream-machine/ray-2-flash","date":"2025-03-17T00:00:00.000Z","group":{"key":"luma-dream-machine","label":"Text to Video (Ray 2 Flash)"},"highlighted":false,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/luma-dream-machine/ray-2-flash","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/luma-dream-machine/ray-2-flash queue.","x-fal-metadata":{"endpointId":"fal-ai/luma-dream-machine/ray-2-flash","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/luma-dream-machine-ray-2.webp","playgroundUrl":"https://fal.ai/models/fal-ai/luma-dream-machine/ray-2-flash","documentationUrl":"https://fal.ai/models/fal-ai/luma-dream-machine/ray-2-flash/api","about":"Luma's state of the art Ray2 model for text-to-video generation."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LumaDreamMachineRay2FlashInput":{"type":"object","x-fal-order-properties":["prompt","aspect_ratio","loop","resolution","duration"],"properties":{"aspect_ratio":{"type":"string","enum":["16:9","9:16","4:3","3:4","21:9","9:21"],"default":"16:9","title":"Aspect Ratio","description":"The aspect ratio of the generated video"},"prompt":{"examples":["A herd of wild horses galloping across a dusty desert plain under a blazing midday sun, their manes flying in the wind; filmed in a wide tracking shot with dynamic motion, warm natural lighting, and an epic."],"maxLength":5000,"type":"string","title":"Prompt","minLength":3},"resolution":{"type":"string","enum":["540p","720p","1080p"],"default":"540p","title":"Resolution","description":"The resolution of the generated video (720p costs 2x more, 1080p costs 4x more)"},"loop":{"type":"boolean","default":false,"title":"Loop","description":"Whether the video should loop (end of video is blended with the beginning)"},"duration":{"type":"string","enum":["5s","9s"],"default":"5s","title":"Duration","description":"The duration of the generated video (9s costs 2x more)"}},"required":["prompt"],"title":"Ray2TextToVideoRequest"},"LumaDreamMachineRay2FlashOutput":{"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3.fal.media/files/penguin/Om3xjcOwiSCJwrXs7DUi__output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"Ray2T2VOutput"},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}},"required":["url"],"title":"File"}}},"paths":{"/fal-ai/luma-dream-machine/ray-2-flash/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LumaDreamMachineRay2FlashInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LumaDreamMachineRay2FlashOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/longcat-video/distilled/text-to-video/480p","metadata":{"display_name":"LongCat Video Distilled","category":"text-to-video","description":"Generate long videos from text using LongCat Video Distilled","status":"active","tags":[],"updated_at":"2026-01-26T21:42:31.218Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/zebra/wjjJyktF2Y8GLxCDR9XsW_11eea2cee7e94b67aa89b3fc28ee55e1.jpg","model_url":"https://fal.run/fal-ai/longcat-video/distilled/text-to-video/480p","license_type":"commercial","date":"2025-10-28T23:29:22.398Z","group":{"key":"longcat-distilled","label":"Text to Video (480p)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/longcat-video/distilled/text-to-video/480p","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/longcat-video/distilled/text-to-video/480p queue.","x-fal-metadata":{"endpointId":"fal-ai/longcat-video/distilled/text-to-video/480p","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/zebra/wjjJyktF2Y8GLxCDR9XsW_11eea2cee7e94b67aa89b3fc28ee55e1.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/longcat-video/distilled/text-to-video/480p","documentationUrl":"https://fal.ai/models/fal-ai/longcat-video/distilled/text-to-video/480p/api","about":"Generate a video from a text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LongcatVideoDistilledTextToVideo480pInput":{"required":["prompt"],"type":"object","x-fal-order-properties":["prompt","num_frames","num_inference_steps","aspect_ratio","fps","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode"],"title":"LongCatVideoRequest","properties":{"num_inference_steps":{"minimum":2,"description":"The number of inference steps to use.","title":"Number of Inference Steps","type":"integer","maximum":16,"default":12},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","title":"Sync Mode","type":"boolean","default":false},"seed":{"description":"The seed for the random number generator.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"video_write_mode":{"description":"The write mode of the generated video.","title":"Video Write Mode","type":"string","default":"balanced","enum":["fast","balanced","small"]},"prompt":{"description":"The prompt to guide the video generation.","type":"string","examples":["realistic filming style, a person wearing a dark helmet, a deep-colored jacket, blue jeans, and bright yellow shoes rides a skateboard along a winding mountain road. The skateboarder starts in a standing position, then gradually lowers into a crouch, extending one hand to touch the road surface while maintaining a low center of gravity to navigate a sharp curve. After completing the turn, the skateboarder rises back to a standing position and continues gliding forward. The background features lush green hills flanking both sides of the road, with distant snow-capped mountain peaks rising against a clear, bright blue sky. The camera follows closely from behind, smoothly tracking the skateboarder’s movements and capturing the dynamic scenery along the route. The scene is shot in natural daylight, highlighting the vivid outdoor environment and the skateboarder’s fluid actions."],"title":"Prompt"},"video_output_type":{"description":"The output type of the generated video.","title":"Video Output Type","type":"string","default":"X264 (.mp4)","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"]},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","title":"Enable Prompt Expansion","type":"boolean","default":false},"num_frames":{"minimum":17,"description":"The number of frames to generate.","title":"Number of Frames","type":"integer","maximum":961,"default":162},"fps":{"minimum":1,"description":"The frame rate of the generated video.","title":"FPS","type":"integer","maximum":60,"default":15},"enable_safety_checker":{"description":"Whether to enable safety checker. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true},"video_quality":{"description":"The quality of the generated video.","title":"Video Quality","type":"string","default":"high","enum":["low","medium","high","maximum"]},"aspect_ratio":{"description":"The aspect ratio of the generated video.","title":"Aspect Ratio","type":"string","default":"16:9","enum":["16:9","9:16","1:1"]}}},"LongcatVideoDistilledTextToVideo480pOutput":{"required":["prompt","seed","video"],"type":"object","x-fal-order-properties":["prompt","seed","video"],"title":"LongCatVideoResponse","properties":{"seed":{"description":"The seed used for generation.","type":"integer","examples":[424911732],"title":"Seed"},"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/zebra/lXFrGA-egaUXWFGSp8GqT_BxoDEqUZ.mp4"}]},"prompt":{"description":"The prompt used for generation.","type":"string","examples":["realistic filming style, a person wearing a dark helmet, a deep-colored jacket, blue jeans, and bright yellow shoes rides a skateboard along a winding mountain road. The skateboarder starts in a standing position, then gradually lowers into a crouch, extending one hand to touch the road surface while maintaining a low center of gravity to navigate a sharp curve. After completing the turn, the skateboarder rises back to a standing position and continues gliding forward. The background features lush green hills flanking both sides of the road, with distant snow-capped mountain peaks rising against a clear, bright blue sky. The camera follows closely from behind, smoothly tracking the skateboarder’s movements and capturing the dynamic scenery along the route. The scene is shot in natural daylight, highlighting the vivid outdoor environment and the skateboarder’s fluid actions."],"title":"Prompt"}}},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]}}}}},"paths":{"/fal-ai/longcat-video/distilled/text-to-video/480p/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/distilled/text-to-video/480p/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/longcat-video/distilled/text-to-video/480p":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoDistilledTextToVideo480pInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/distilled/text-to-video/480p/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoDistilledTextToVideo480pOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan/v2.2-a14b/text-to-video/lora","metadata":{"display_name":"Wan-2.2 Text-to-Video A14B with LoRAs","category":"text-to-video","description":"Wan-2.2 text-to-video is a video model that generates high-quality videos with high visual quality and motion diversity from text prompts. This endpoint supports LoRAs made for Wan 2.2.","status":"active","tags":[],"updated_at":"2026-06-24T11:44:42.388Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92d5/7rPaGC8n8fwRzpR5f1LXG_A7RAUQgT.png","model_url":"https://fal.run/fal-ai/wan/v2.2-a14b/text-to-video/lora","license_type":"commercial","date":"2025-08-07T12:45:10.109Z","group":{"key":"wan-v22-lora","label":"Text to Video (LoRA)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan/v2.2-a14b/text-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan/v2.2-a14b/text-to-video/lora queue.","x-fal-metadata":{"endpointId":"fal-ai/wan/v2.2-a14b/text-to-video/lora","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92d5/7rPaGC8n8fwRzpR5f1LXG_A7RAUQgT.png","playgroundUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video/lora","documentationUrl":"https://fal.ai/models/fal-ai/wan/v2.2-a14b/text-to-video/lora/api","about":"Endpoint for generating a video from text, with LoRA support."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanV22A14bTextToVideoLoraInput":{"required":["prompt"],"x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_output_safety_checker","enable_prompt_expansion","acceleration","guidance_scale","guidance_scale_2","shift","interpolator_model","num_interpolated_frames","adjust_fps_for_interpolation","video_quality","video_write_mode","loras","reverse_video"],"type":"object","title":"WanLoRAT2VRequest","properties":{"video_write_mode":{"description":"The write mode of the output video. Faster write mode means faster results but larger file size, balanced write mode is a good compromise between speed and quality, and small write mode is the slowest but produces the smallest file size.","title":"Video Write Mode","examples":["balanced"],"type":"string","default":"balanced","enum":["fast","balanced","small"]},"shift":{"minimum":1,"description":"Shift value for the video. Must be between 1.0 and 10.0.","title":"Shift","examples":[5],"type":"number","maximum":10,"default":5},"num_inference_steps":{"minimum":2,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","title":"Number of Inference Steps","examples":[27],"type":"integer","maximum":40,"default":27},"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"guidance_scale_2":{"minimum":1,"description":"Guidance scale for the second stage of the model. This is used to control the adherence to the prompt in the second stage of the model.","title":"Guidance Scale (2nd Stage)","examples":[4],"type":"number","maximum":10,"default":4},"frames_per_second":{"default":16,"description":"Frames per second of the generated video. Must be between 4 to 60. When using interpolation and `adjust_fps_for_interpolation` is set to true (default true,) the final FPS will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If `adjust_fps_for_interpolation` is set to false, this value will be used as-is.","title":"Frames per Second","examples":[16],"anyOf":[{"minimum":4,"type":"integer","maximum":60},{"type":"null"}]},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning.","title":"Enable Prompt Expansion","examples":[false],"type":"boolean","default":false},"guidance_scale":{"minimum":1,"description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality.","title":"Guidance Scale (1st Stage)","examples":[3.5],"type":"number","maximum":10,"default":3.5},"num_interpolated_frames":{"minimum":0,"description":"Number of frames to interpolate between each pair of generated frames. Must be between 0 and 4.","title":"Number of Interpolated Frames","examples":[1],"type":"integer","maximum":4,"default":1},"adjust_fps_for_interpolation":{"description":"If true, the number of frames per second will be multiplied by the number of interpolated frames plus one. For example, if the generated frames per second is 16 and the number of interpolated frames is 1, the final frames per second will be 32. If false, the passed frames per second will be used as-is.","title":"Adjust FPS for Interpolation","examples":[true],"type":"boolean","default":true},"video_quality":{"description":"The quality of the output video. Higher quality means better visual quality but larger file size.","title":"Video Quality","examples":["high"],"type":"string","default":"high","enum":["low","medium","high","maximum"]},"enable_safety_checker":{"description":"If set to true, input data will be checked for safety before processing. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","examples":[true],"type":"boolean","default":false},"aspect_ratio":{"description":"Aspect ratio of the generated video (16:9 or 9:16).","title":"Aspect Ratio","examples":["16:9","9:16","1:1"],"type":"string","default":"16:9","enum":["16:9","9:16","1:1"]},"interpolator_model":{"description":"The model to use for frame interpolation. If None, no interpolation is applied.","title":"Interpolator Model","examples":["film"],"type":"string","default":"film","enum":["none","film","rife"]},"prompt":{"description":"The text prompt to guide video generation.","title":"Prompt","examples":["A close-up of a young woman smiling gently in the rain, raindrops glistening on her face and eyelashes. The video captures the delicate details of her expression and the water droplets, with soft light reflecting off her skin in the rainy atmosphere."],"type":"string"},"loras":{"description":"LoRA weights to be used in the inference.","title":"Loras","type":"array","items":{"$ref":"#/components/schemas/LoRAWeight"},"default":[]},"acceleration":{"description":"Acceleration level to use. The more acceleration, the faster the generation, but with lower quality. The recommended value is 'regular'.","title":"Acceleration","examples":["regular"],"type":"string","default":"regular","enum":["none","regular"]},"num_frames":{"minimum":17,"description":"Number of frames to generate. Must be between 17 to 161 (inclusive).","title":"Number of Frames","maximum":161,"type":"integer","examples":[81],"default":81},"resolution":{"description":"Resolution of the generated video (480p, 580p, or 720p).","title":"Resolution","examples":["720p"],"type":"string","default":"720p","enum":["480p","580p","720p"]},"negative_prompt":{"description":"Negative prompt for video generation.","title":"Negative Prompt","type":"string","default":""},"enable_output_safety_checker":{"description":"If set to true, output video will be checked for safety after generation.","title":"Enable Output Safety Checker","examples":[false],"type":"boolean","default":false},"reverse_video":{"description":"If true, the video will be reversed.","title":"Reverse Video","type":"boolean","default":false}}},"WanV22A14bTextToVideoLoraOutput":{"required":["video","seed"],"x-fal-order-properties":["video","prompt","seed"],"type":"object","title":"WanT2VResponse","properties":{"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/wan/v2.2-woman-output.mp4"}]},"seed":{"description":"The seed used for generation.","title":"Seed","type":"integer"},"prompt":{"description":"The text prompt used for video generation.","title":"Prompt","examples":["A close-up of a young woman smiling gently in the rain, raindrops glistening on her face and eyelashes. The video captures the delicate details of her expression and the water droplets, with soft light reflecting off her skin in the rainy atmosphere."],"type":"string","default":""}}},"LoRAWeight":{"required":["path"],"x-fal-order-properties":["path","weight_name","scale","transformer"],"type":"object","title":"LoRAWeight","properties":{"weight_name":{"description":"Name of the LoRA weight. Used only if `path` is a Hugging Face repository, and required only if you have more than 1 safetensors file in the repo.","title":"Weight Name","anyOf":[{"type":"string"},{"type":"null"}]},"path":{"description":"URL or the path to the LoRA weights.","title":"Path","type":"string"},"scale":{"minimum":0,"description":"\n            The scale of the LoRA weight. This is used to scale the LoRA weight\n            before merging it with the base model.\n        ","title":"Scale","type":"number","maximum":4,"default":1},"transformer":{"description":"Specifies the transformer to load the lora weight into. 'high' loads into the high-noise transformer, 'low' loads it into the low-noise transformer, while 'both' loads the LoRA into both transformers.","title":"Transformer","type":"string","default":"high","enum":["high","low","both"]}}},"File":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","title":"File","properties":{"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]}}}}},"paths":{"/fal-ai/wan/v2.2-a14b/text-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan/v2.2-a14b/text-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanV22A14bTextToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/infinitalk/single-text","metadata":{"display_name":"Infinitalk","category":"text-to-video","description":"Infinitalk model generates a talking avatar video from a text and audio file. The avatar lip-syncs to the provided audio with natural facial expressions.","status":"active","tags":[],"updated_at":"2026-06-24T13:05:50.174Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f9396/AGHkC8dUm_lsDNufhenrc_Z0Oiaeje.png","model_url":"https://fal.run/fal-ai/infinitalk/single-text","license_type":"commercial","date":"2025-08-22T15:48:52.311Z","group":{"key":"Infinitalk","label":"Text"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/infinitalk/single-text","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/infinitalk/single-text queue.","x-fal-metadata":{"endpointId":"fal-ai/infinitalk/single-text","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f9396/AGHkC8dUm_lsDNufhenrc_Z0Oiaeje.png","playgroundUrl":"https://fal.ai/models/fal-ai/infinitalk/single-text","documentationUrl":"https://fal.ai/models/fal-ai/infinitalk/single-text/api","about":"MultiTalk model generates a talking avatar video from an image and text.\nConverts text to speech automatically, then generates the avatar speaking\nwith lip-sync."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"InfinitalkSingleTextInput":{"x-fal-order-properties":["image_url","text_input","voice","prompt","num_frames","resolution","seed","acceleration"],"title":"InfiniTalkSingleTextRequest","required":["image_url","text_input","voice","prompt"],"type":"object","properties":{"text_input":{"examples":["Spend more time with people who make you feel alive, and less with things that drain your soul."],"title":"Text Input","type":"string","description":"The text input to guide video generation."},"seed":{"maximum":4294967295,"title":"Seed","default":42,"minimum":0,"type":"integer","description":"Random seed for reproducibility. If None, a random seed is chosen."},"acceleration":{"type":"string","title":"Acceleration","default":"regular","enum":["none","regular","high"],"description":"The acceleration level to use for generation."},"image_url":{"examples":["https://v3.fal.media/files/panda/HuM21CXMf0q7OO2zbvwhV_c4533aada79a495b90e50e32dc9b83a8.png"],"title":"Image URL","type":"string","description":"URL of the input image. If the input image does not match the chosen aspect ratio, it is resized and center cropped."},"num_frames":{"maximum":721,"title":"Number of Frames","default":145,"minimum":41,"type":"integer","description":"Number of frames to generate. Must be between 41 to 721."},"prompt":{"examples":["An elderly man with a white beard and headphones records audio with a microphone. He appears engaged and expressive, suggesting a podcast or voiceover."],"title":"Prompt","type":"string","description":"The text prompt to guide video generation."},"resolution":{"type":"string","title":"Resolution","default":"480p","enum":["480p","720p"],"description":"Resolution of the video to generate. Must be either 480p or 720p."},"voice":{"type":"string","examples":["Bill"],"title":"Voice","enum":["Aria","Roger","Sarah","Laura","Charlie","George","Callum","River","Liam","Charlotte","Alice","Matilda","Will","Jessica","Eric","Chris","Brian","Daniel","Lily","Bill"],"description":"The voice to use for speech generation"}}},"InfinitalkSingleTextOutput":{"x-fal-order-properties":["video","seed"],"title":"AvatarSingleTextResponse","required":["video","seed"],"type":"object","properties":{"seed":{"title":"Seed","type":"integer","description":"The seed used for generation."},"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"application/octet-stream","file_name":"6c9dd31e1d9a4482877747a52a661a0a.mp4","file_size":797478,"url":"https://v3.fal.media/files/elephant/-huMN0zTaXmBr2CqzCMps_6c9dd31e1d9a4482877747a52a661a0a.mp4"}],"description":"The generated video file."}}},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"type":"object","properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}}}}},"paths":{"/fal-ai/infinitalk/single-text/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/infinitalk/single-text/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/infinitalk/single-text":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfinitalkSingleTextInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/infinitalk/single-text/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfinitalkSingleTextOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kandinsky5/text-to-video","metadata":{"display_name":"Kandinsky5","category":"text-to-video","description":"Kandinsky 5.0 is a diffusion model for fast, high-quality text-to-video  generation.","status":"active","tags":[],"updated_at":"2026-04-21T17:49:46.362Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/panda/F-LagExgsZASG2uyIcj6X_093dccc7417c47e593e245767017f251.jpg","model_url":"https://fal.run/fal-ai/kandinsky5/text-to-video","license_type":"commercial","date":"2025-10-13T14:43:38.479Z","group":{"key":"kandinsky5","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/kandinsky5/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kandinsky5/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kandinsky5/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/panda/F-LagExgsZASG2uyIcj6X_093dccc7417c47e593e245767017f251.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kandinsky5/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kandinsky5/text-to-video/api","about":"Generate a video based on the provided request parameters."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Kandinsky5TextToVideoInput":{"title":"KandinskyT2VRequest","x-fal-order-properties":["prompt","resolution","aspect_ratio","duration","num_inference_steps"],"required":["prompt"],"type":"object","properties":{"prompt":{"type":"string","title":"Prompt","examples":["A dog in red hat"],"description":"The text prompt to guide video generation."},"resolution":{"const":"768x512","title":"Resolution","default":"768x512","type":"string","description":"Resolution of the generated video in W:H format. Will be calculated based on the aspect ratio(768x512, 512x512, 512x768)."},"duration":{"examples":["5s","10s"],"type":"string","title":"Duration","default":"5s","enum":["5s","10s"],"description":"The length of the video to generate (5s or 10s)"},"aspect_ratio":{"type":"string","title":"Aspect Ratio","default":"3:2","enum":["3:2","1:1","2:3"],"description":"Aspect ratio of the generated video. One of (3:2, 1:1, 2:3)."},"num_inference_steps":{"description":"The number of inference steps.","title":"Num Inference Steps","default":30,"minimum":1,"type":"integer","maximum":50}}},"Kandinsky5TextToVideoOutput":{"title":"KandinskyT2VResponse","x-fal-order-properties":["video"],"type":"object","properties":{"video":{"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"examples":[{"content_type":"application/octet-stream","file_name":"output.mp4","file_size":5797172,"url":"https://v3b.fal.media/files/b/tiger/5d-CATfsfPrBaXAK38hy6_output.mp4"}],"description":"The generated video file."}}},"File":{"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"type":"object","properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}}}}},"paths":{"/fal-ai/kandinsky5/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kandinsky5/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5TextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5TextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-pro/text-to-video","metadata":{"display_name":"Wan-2.1 Pro Text-to-Video","category":"text-to-video","description":"Wan-2.1 Pro is a premium text-to-video model that generates high-quality 1080p videos at 30fps with up to 6 seconds duration, delivering exceptional visual quality and motion diversity from text prompts","status":"active","tags":["text to video","motion"],"updated_at":"2026-01-26T21:44:02.275Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","model_url":"https://fal.run/fal-ai/wan-pro/text-to-video","license_type":"commercial","date":"2025-03-11T00:00:00.000Z","group":{"key":"wan-2.1","label":"Text-to-Video (Pro)"},"highlighted":false,"kind":"inference","duration_estimate":5,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan-pro/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-pro/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-pro/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-pro/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/wan-pro/text-to-video/api","about":"Generate a 6-second 1080p video (at 30 FPS) from text using an enhanced version of Wan 2.1."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanProTextToVideoInput":{"title":"WanProT2VRequest","type":"object","properties":{"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Whether to enable the safety checker"},"prompt":{"title":"Prompt","type":"string","examples":["A lone astronaut in a detailed NASA spacesuit performs an exuberant dance on the lunar surface, arms outstretched in joyful abandon against the stark moonscape. The Earth hangs dramatically in the black sky, appearing to streak past due to the motion of the dance, creating a sense of dynamic movement. The scene captures extreme contrasts between the brilliant white of the spacesuit reflecting harsh sunlight and the deep shadows of the lunar craters. Every detail is rendered with photorealistic precision: the texture of the regolith disturbed by the astronaut's boots, the reflections on the helmet visor."],"description":"The prompt to generate the video"}},"x-fal-order-properties":["prompt","seed","enable_safety_checker"],"required":["prompt"]},"WanProTextToVideoOutput":{"title":"WanProT2VResponse","type":"object","properties":{"video":{"examples":[{"url":"https://fal.media/files/panda/YxRLson-aETxeBK1DI4VW.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"x-fal-order-properties":["video"],"required":["video"]},"File":{"title":"File","type":"object","properties":{"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"]}}},"paths":{"/fal-ai/wan-pro/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-pro/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-pro/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanProTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-pro/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanProTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4.5/text-to-video/fast","metadata":{"display_name":"PixVerse V4.5 Text To Video Fast","category":"text-to-video","description":"Generate high quality and fast video clips from text and image prompts using PixVerse v4.5 fast","status":"active","tags":["stylized","transform"],"updated_at":"2026-06-17T18:20:01.178Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4.5/text-to-video/fast","license_type":"commercial","date":"2025-05-15T15:51:13.967Z","group":{"key":"pixverse-45","label":"Text to Video v4.5 (Fast)"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4.5/text-to-video/fast","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4.5/text-to-video/fast queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4.5/text-to-video/fast","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/text-to-video/fast","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/text-to-video/fast/api","about":"Text To Video Fast V4 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV45TextToVideoFastInput":{"title":"FastTextToVideoRequest","properties":{"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"style":{"title":"Style","anyOf":[{"enum":["anime","3d_animation","clay","comic","cyberpunk"],"type":"string"},{"type":"null"}],"description":"The style of the generated video"},"prompt":{"description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt","type":"string","examples":["Epic low-cut camera capture of a girl clad in ultraviolet threads, Peter Max art style depiction, luminous diamond skin glistening under a vast moon's radiance, embodied in a superhuman flight among mystical ruins, symbolizing a deity's ritual ascent, hyper-detailed"]},"aspect_ratio":{"default":"16:9","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"],"type":"string","description":"The aspect ratio of the generated video"},"negative_prompt":{"default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt","type":"string","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"]},"resolution":{"default":"720p","title":"Resolution","enum":["360p","540p","720p"],"type":"string","description":"The resolution of the generated video"}},"required":["prompt"],"type":"object","x-fal-order-properties":["prompt","aspect_ratio","resolution","negative_prompt","style","seed"]},"PixverseV45TextToVideoFastOutput":{"title":"VideoOutputV4","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"content_type":"video/mp4","file_size":5485412,"url":"https://fal.media/files/lion/_fVEU5nzHND_fHGQUhXEm_output.mp4","file_name":"output.mp4"}],"description":"The generated video"}},"required":["video"],"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","properties":{"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file."},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/pixverse/v4.5/text-to-video/fast/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/text-to-video/fast/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4.5/text-to-video/fast":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45TextToVideoFastInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/text-to-video/fast/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45TextToVideoFastOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTA","has_more":true}
